# -*- coding: utf-8 -*-
class GeneralManager:
    '''
    '''

    def __init__(self, np_adjp_phrase):
        self._np_adjp_phrase = np_adjp_phrase

    def np_adjp(self):
        '''
        Zwraca przetwarzana fraze np/adjp
        '''
        return self._np_adjp_phrase


    # -----------------------------------------------
    # metody operujace na pozycjach wzgledem poczatku frazy, nie zdania
    # 0 oznacza pozycje - poczatek - wzgledem frazy, nie wzgledem zdania
    def is_outside_ann_phrase(self, position):
        return not self.is_inside_ann_phrase(position)

    def is_inside_ann_phrase(self, position):
        '''
        Sprawdza czy zadana pozycja miesci sie w granicach frazy
        '''
        if position > len(self.np_adjp().segments()) or position < 0:
            return False
        return True
